#!/usr/bin/env gnuplot
reset

set terminal pdfcairo color size 4.35 cm, 6 cm font ",10"

set multiplot layout 2,1 \
	margins 0.30,0.93,0.15,0.87 \
	spacing 0.03,0.04

set xrange [0:200]
set x2range [200:0]
set x2tics 50 nomirror
set xtics format ""
set yrange [0:80]
set x2label "{/:Normal Water pressure [kPa]}"
set ylabel "{/:Normal Shear stress [kPa]}" offset -1.4
set ytics 20
set arrow from 125,35 to 160,45 head
set arrow from 150,70 to 110,55 head
unset label
#set label "{/:Bold d}" at graph 0.02,0.93
set label "a" at graph 0.02,0.93 font ",12"
plot \
"timeseries_combined.txt" u ($2/1000):($4*$2/1000) w l lt 1 lc rgb "#48d1cc" t ""

unset x2tics
unset ytics
unset x2label
unset ylabel
#set ylabel "{/:Normal Depth of max.\nstrain rate [m]}" offset 1.0
#set yrange [2.5:-0.1]
#set ytics 0.5
#unset arrow
#set arrow from 140,0.15 to 110,0.13 head
#set arrow from 80,0.6 to 115,1.2 head
#set arrow from 170,1.4 to 170.3,0.6 head
#unset label
##set label "{/:Bold e}" at graph 0.02,0.93 font ",12"
#set label "B" at graph 0.02,0.93 font ",12"
#plot "" u ($2/1000):(8.0 - $6) w l lt 4 lc rgb "#87cefa" t ""

set xtics format "%g"
set xlabel "{/:Normal Eff. normal stress [kPa]}"
to_year=60*60*24*365
#set ytics 3e-5*to_year
#set yrange [0:1e-4*to_year]
set ytics 1000
set yrange [0:3000]
unset arrow
set arrow from 135,1.5e-5*to_year to 100,1e-5*to_year head
set arrow from 110,4.0e-5*to_year to 140,5.5e-5*to_year head
set arrow from 165.3,4e-5*to_year to 165,1.5e-5*to_year head
unset y2tics
unset y2label
unset label
#set label "{/:Bold f}" at graph 0.02,0.93
set label "b" at graph 0.02,0.93 font ",12"
#set ylabel "{/:Normal Specific sediment flux [m^2/s]}"
set ylabel "{/:Normal Till flux [m^2/a]}" offset 0.6
plot "" u ($2/1000):($8*to_year) w l lt 6 t ""
