#!/usr/bin/env gnuplot
reset

set terminal pdfcairo color size 4.35 cm, 6 cm font ",10"

set multiplot layout 2,1 \
	margins 0.08,0.70,0.15,0.87 \
	spacing 0.03,0.04

set xrange [0:200]
set x2range [200:0]
set x2tics 50 nomirror
set xtics format ""
set yrange [-0.5:11.5]
set y2range [-0.5:11.5]
set x2label "{/:Normal Water pressure [kPa]}"
set y2label "{/:Normal Shear speed [km/d]}" offset 0.0
set y2tics 2.0
unset ytics
set arrow from 60,0.5 to 40,2.0 head
set arrow from 65,5.5 to 83,3.5 head
unset label
#set label "{/:Bold a}" at graph 0.02,0.93
set label "c" at graph 0.02,0.93 font ",12"
plot \
"timeseries_combined.txt" u ($2/1000):($1*60*60*24/1000) w l lt 7 lc rgb "#008000" t ""

unset x2tics
unset ytics
unset x2label
unset ylabel
unset y2label
unset y2tics
#set y2label "{/:Normal Depth of max.\n strain rate [m]}" offset -3.0
#set yrange [2.5:-0.1]
#set y2range [2.5:-0.1]
###set ytics 0.5
#set y2tics 0.5
#unset arrow
#set arrow from 115,0.10 to 85,0.13 head
#set arrow from 100,1.0 to 120,1.3 head
#set arrow from 165,1.2 to 165,0.7 head
#unset label
##set label "{/:Bold b}" at graph 0.02,0.93
#set label "E" at graph 0.02,0.93 font ",12"
#plot "" u ($2/1000):(8.0 - $6) w l lt 4 lc rgb "#87cefa" t ""

set xtics format "%g"
set xlabel "{/:Normal Eff. normal stress [kPa]}"
unset ytics
#set ytics 0.02
set y2tics 0.02
set yrange [0:0.07]
set y2range [0:0.07]
unset arrow
set arrow from 65,0.008 to 40,0.02 head
set arrow from 65,0.046 to 90,0.028 head
set y2label "{/:Normal Till flux [m^2/s]}" offset -1.9
unset ylabel
unset label
set label "d" at graph 0.02,0.93 font ",12"
plot "" u ($2/1000):8 w l lt 6 t ""
