#!/usr/bin/env gnuplot
reset

set terminal pdfcairo color size 7.5 cm, 8.5 cm

set multiplot layout 3,1 \
	margins 0.19,0.75,0.23,0.95 \
	spacing 0.00,0.03


file_interval_seconds=600.0
conv=1.0/(24.0*3600.0/file_interval_seconds) * 140.0/138.5

set xrange [0:81]

set key top right samplen 1.0
unset xlabel
unset xtics
set yrange [0:380]
set ylabel "[kPa]"
set ytics 100
plot \
"timeseries.txt" u ($0*conv):($2/1000) w l lw 2 lc "black" t "effective normal stress", \
"" u ($0/1008*7):($3/1000) w l lw 2 lt 3 dt "-" t "water pressure"

unset xtics
unset ylabel
unset ytics
set yrange [0:100]
set y2range [0:100]
set y2tics 20
set y2label "Shear stress [kPa]"
plot "" u ($0*conv):($4*$2/1000) w l lw 2 lt 1 t ""

set xtics
unset y2label
unset y2tics
set ytics 0.5
set yrange [3.0:0.0]
set xlabel "Time [d]"
set ylabel "Depth of max. strain rate [m]"
plot "max_strainrate_depth.txt" u ($0*conv):(8.0 - $1) w l lw 2 lt 4 t ""

unset multiplot
