#!/usr/bin/env gnuplot

reset

## resemble Iverson 2010 fig2a

#set terminal pdfcairo size 7.5 cm, 7.5 cm
#set terminal pdfcairo size 5.7 cm, 4.45 cm enhanced font ",10"
#set terminal pdfcairo size 4.45 cm, 4.45 cm enhanced font ",10"
set terminal pdfcairo size 7 cm, 4.5 cm enhanced font ",10"
set colorsequence podo

set margins 8,2,3.2,1

set xrange [1e1:9e5]  # m/a
set yrange [0.25:0.7]
set xtics format "10^{%T}"
set ytics 0.1

set key bottom right font ",8" samplen 3 maxrows 4
set logscale x

set ylabel "Shear friction {/Symbol m} [-]" offset 1.0
set xlabel "Shear strain rate dv_x/dz [a^{-1}]"

set label "b" at screen 0.02,0.95 font ",12"

plot \
	"caesar.dat"          w l lw 2 t "Caesar till", \
	"storglaciaren.dat"   w l lw 2 t "Storglaciaren till", \
	"two_rivers.dat"      w l lw 2 t "Two Rivers till", \
	"wis.dat"             w l lw 2 t "WIS till", \
	"cowden.dat"          w l lw 2 t "Cowden till", \
	"lower_cromer.dat"    w l lw 2 t "Lower Cromer till", \
	"out_b0.94.txt" u ($2*3600*24*365):1 w l lc '#666666' lw 2 dashtype 2 t "{/:Bold CNGF-PF}, {/:Italic b} = 0.94", \
	"out_b0.10.txt" u ($2*3600*24*365):1 w l lc '#666666' lw 2 dashtype 3 t "{/:Bold CNGF-PF}, {/:Italic b} = 0.10"
