#!/usr/bin/env gnuplot
reset

set terminal pdfcairo color size 4.45 cm, 4.45 cm font ",10"

set multiplot layout 1,1 \
	margins 0.26,0.90,0.23,0.90 \
	spacing 0.03,0.03

set key bottom right samplen 0.5 font ",8"
set xtics 1 format "%g"
set xlabel "{/:Normal Time [d]}"
#set yrange [0:320]
set yrange [-50:225]
set ylabel "{/:Normal [kPa]}"
set ytics 100

#set label "{/:Bold a}" at graph 0.90,0.93
set label "A" at screen 0.26,0.97 font ",12"

plot \
"timeseries.txt" u ($0/1008*7):($2/1000) w l lw 2 lc "black" t "effective normal stress", \
"" u ($0/1008*7):($3/1000) w l lw 2 lt 3 dt "-" t "water pressure"
