#!/usr/bin/env gnuplot
reset

set terminal pdfcairo color size 7.5 cm, 10.5 cm

set multiplot layout 4,1 \
	margins 0.19,0.72,0.10,0.98 \
	spacing 0.00,0.03

set key top right samplen 1.0 font ",10"
unset xlabel
set xtics format ""
set yrange [0:320]
set ylabel "{/:Normal [kPa]}"
set ytics 100

set label "{/:Bold e}" at graph 0.05,0.9

plot \
"timeseries.txt" u ($0/1008*7):($2/1000) w l lw 2 lc "black" t "effective normal stress", \
"" u ($0/1008*7):($3/1000) w l lw 2 lt 3 dt "-" t "water pressure"

unset label
set label "{/:Bold f}" at graph 0.05,0.9
unset ylabel
unset ytics
set yrange [0:80]
set y2range [0:80]
set y2tics 20
set y2label "{/:Normal Shear stress [kPa]}"
plot "" u ($0/1008*7):($4*$2/1000) w l lw 2 lt 1 t ""

unset label
set label "{/:Bold g}" at graph 0.05,0.9
unset y2label
unset y2tics
set ytics 0.5
set yrange [2.5:0.0]
set ylabel "{/:Normal Depth of max. strain rate [m]}"
plot "max_strainrate_depth.txt" u ($0/1008*7):(8.0 - $1) w l lw 2 lt 4 t ""

unset label
set label "{/:Bold h}" at graph 0.05,0.9
unset ylabel
unset ytics
set yrange [0.0:1e-4]
set y2range [0.0:1e-4]
set y2tics 3e-5
set y2label "{/:Normal Specific sediment flux [m^2/s]}"
set xtics 1 format "%g"
set xlabel "{/:Normal Time [d]}"
plot "sediment_flux.txt" u ($0/1008*7):1 w l lw 2 lt 6 t ""
