#!/usr/bin/env gnuplot

#set terminal pdfcairo color size 7.5 cm, 7.5 cm
#set terminal pdfcairo color size 13.35 cm, 4.45 cm font ",10"
set terminal pdfcairo color size 5.93 cm, 4.45 cm font ",10"
set multiplot layout 1,2 \
	margins 0.03,0.96,0.23,0.90 \
	spacing 0.04,0.04

set key bottom right #samplen 0.9

file_interval=60*10
plot_interval=60*60
inc=plot_interval/file_interval
#set yrange [4.0:8.0]
L_z=8.0
set yrange [4.0:0.0]

t0 = 47*inc
tend = 71*inc

filename(t) = sprintf('sim.output%05d.txt', t)

set pm3d map
#set palette rgb 10,6,6
set palette

unset colorbox
#set ylabel "{/:Normal Depth [m]}" offset 1.0
#xmin = 0.0
#xmax = 200.0
#set xrange [xmin:xmax]
#set arrow from xmin,skin_depth to xmax,skin_depth nohead lc black front
#set arrow from xmin,max_def_depth to xmax,max_def_depth nohead front lc black dashtype 2
#set label "A" at screen 0.090,0.97 font ",12"
#set xlabel "{/:Normal Eff. normal stress [kPa]}"
#plot for [t = t0:tend:inc] filename(t) u ($3/1e3):(L_z - $1):(t-t0) w l lc palette lw 1 t ""

unset label
set label "E (stress controlled)" at screen 0.020,0.97 font ",12"
set xlabel "{/:Normal Shear speed [km/d]}"
set ylabel ""
unset ytics
unset arrow
xmin = -1
xmax = 10
set xrange [xmin:xmax]
set arrow from xmin,skin_depth to xmax,skin_depth nohead lc black front
set arrow from xmin,max_def_depth to xmax,max_def_depth nohead front lc black dashtype 2
plot for [t = t0:tend:inc] filename(t) u ($2*60*60*24/1000):(L_z - $1):(t-t0) w l lc palette lw 1 t ""

unset label
unset arrow
set label "F (stress controlled)" at screen 0.510,0.97 font ",12"
set xlabel "{/:Normal Shear strain rate [1/min]}"
set ylabel ""
xmin = -1.0
xmax = 12.0
set xrange [xmin:xmax]
set arrow from xmin,skin_depth to xmax,skin_depth nohead lc black front
set arrow from xmin,max_def_depth to xmax,max_def_depth nohead front lc black dashtype 2
unset ytics
plot for [t = t0:tend:inc] filename(t) u ($6*60):(L_z - $1):(t-t0) w l lc palette lw 1 t ""
unset format x

unset multiplot
