#!/usr/bin/env gnuplot

reset

#set terminal pdfcairo enhanced color size 4.45 cm, 4.45 cm font ",10"
set terminal pdfcairo enhanced color size 7 cm, 4.5 cm font ",10"

set margins 8,2,3.2,1

set colorsequence podo

set xlabel "{/:Normal Shear displacement {/Symbol D}x [m]}"
set ylabel "{/:Normal Vertical position z [m]}" offset 1.0

set yrange [0.0:0.73]
set xrange [-0.05:0.8]
set xtics 0.2
set ytics 0.2

xdisp=0.74

set label "d" at screen 0.02,0.95

set key bottom right font ",9" samplen 1.0 maxrows 4

pointsize=0.6

plot "strain_distribution_N10kPa.txt" u ($2*xdisp):1 w l lw 2 lc 1 title "{/:Bold CNGF-PF} 10 kPa", \
	"damsgaard2013-sheardisp/sheardisp10-binned.dat" w p ps pointsize lw 2 lc 1 title "DEM, 10 kPa", \
	"strain_distribution_N20kPa.txt" u ($2*xdisp):1 w l lw 2 lc 2 title "{/:Bold CNGF-PF} 20 kPa", \
	"damsgaard2013-sheardisp/sheardisp20-binned.dat" w p ps pointsize lw 2 lc 2 title "DEM 20 kPa", \
	"strain_distribution_N40kPa.txt" u ($2*xdisp):1 w l lw 2 lc 3 title "{/:Bold CNGF-PF} 40 kPa", \
	"damsgaard2013-sheardisp/sheardisp40-binned.dat" w p ps pointsize lw 2 lc 3 title "DEM 40 kPa", \
	"strain_distribution_N80kPa.txt" u ($2*xdisp):1 w l lw 2 lc 4 title "{/:Bold CNGF-PF} 80 kPa", \
	"damsgaard2013-sheardisp/sheardisp80-binned.dat" w p ps pointsize lw 2 lc 4 title "DEM 80 kPa", \
	#"strain_distribution_N120kPa.txt" u ($2*xdisp):1 w l lw 2 lc 4 title "{/:Bold CNGF-PF} 120 kPa", \
	#"damsgaard2013-sheardisp/sheardisp120-binned.dat" w p ps pointsize lw 2 lc "#231f20" title "DEM 120 kPa"
