#!/usr/bin/env gnuplot

reset

set terminal pdfcairo enhanced color size 7.5 cm, 5 cm

set margins 8,2,3.2,1

#set lmargin 7.0
#set bmargin 3.5
#set rmargin 2.0
#set tmargin 2.0

set xlabel "{/:Normal Shear displacement {/Symbol D}x [m]}"
set ylabel "{/:Normal Vertical position z [m]}"

set yrange [0.0:0.73]
#set xrange [-0.13:1.13]
set xrange [-0.05:0.9]
set xtics 0.2
set ytics 0.2

xdisp=0.74

set key bottom right font ",10" #samplen 0.9

pointsize=0.6

plot "strain_distribution_N10kPa.txt" u ($2*xdisp):1 w l lw 2 lc "#ee2430" title "{/:Bold LGF}, {/Symbol s}_n' 10 kPa", \
	"damsgaard2013-sheardisp/sheardisp10-binned.dat" w p ps pointsize lw 2 lc "#ee2430" title "DEM, {/Symbol s}_n' 10 kPa", \
	"strain_distribution_N20kPa.txt" u ($2*xdisp):1 w l lw 2 lc "#53bf3a" title "{/:Bold LGF}, {/Symbol s}_n' 20 kPa", \
	"damsgaard2013-sheardisp/sheardisp20-binned.dat" w p ps pointsize lw 2 lc "#53bf3a" title "DEM, {/Symbol s}_n' 20 kPa", \
	"strain_distribution_N40kPa.txt" u ($2*xdisp):1 w l lw 2 lc "#2f54ad" title "{/:Bold LGF}, {/Symbol s}_n' 40 kPa", \
	"damsgaard2013-sheardisp/sheardisp40-binned.dat" w p ps pointsize lw 2 lc "#2f54ad" title "DEM, {/Symbol s}_n' 40 kPa", \
	"strain_distribution_N80kPa.txt" u ($2*xdisp):1 w l lw 2 lc "#6ccfd9" title "{/:Bold LGF}, {/Symbol s}_n' 80 kPa", \
	"damsgaard2013-sheardisp/sheardisp80-binned.dat" w p ps pointsize lw 2 lc "#6ccfd9" title "DEM, {/Symbol s}_n' 80 kPa", \
	#"strain_distribution_N120kPa.txt" u ($2*xdisp):1 w l lw 2 lc "#231f20" title "{/:Bold LGF}, {/Symbol s}_n' 120 kPa", \
	#"damsgaard2013-sheardisp/sheardisp120-binned.dat" w p ps pointsize lw 2 lc "#231f20" title "DEM, {/Symbol s}_n' 120 kPa"

